summaryrefslogtreecommitdiff
path: root/taler-docbuild/update_stage.sh
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2019-03-01 16:40:50 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2019-03-01 16:40:50 +0100
commitd48b3d00a3e7063ab058df8b476028f0aec82474 (patch)
tree916a50658d150ac9d1cda3e9e670060f9ee69d38 /taler-docbuild/update_stage.sh
parent40e5ed510270fc4dfb5814c4dc8120db9c740f52 (diff)
downloaddeployment-d48b3d00a3e7063ab058df8b476028f0aec82474.tar.gz
deployment-d48b3d00a3e7063ab058df8b476028f0aec82474.tar.bz2
deployment-d48b3d00a3e7063ab058df8b476028f0aec82474.zip
Addressing #5424.dev/dold/foobar
Diffstat (limited to 'taler-docbuild/update_stage.sh')
-rwxr-xr-xtaler-docbuild/update_stage.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/taler-docbuild/update_stage.sh b/taler-docbuild/update_stage.sh
new file mode 100755
index 0000000..3f7f585
--- /dev/null
+++ b/taler-docbuild/update_stage.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/stage.taler.net
+fetch
+git submodule update --init --force
+make